[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TIntegerHelper.ToSingle

Convert to an single-sized floating point value

## Declaration

Source position: syshelph.inc line 526

`public function TIntegerHelper.ToSingle: Single;`

## Description

ToSingle converts the Integer value to a single-sized floating point value.

## See also

TIntegerHelper.ToBoolean |  | Convert to a boolean value
TIntegerHelper.ToDouble |  | Convert to a double-sized floating point value
TIntegerHelper.ToExtended |  | Convert to an extended-sized floating point value
TIntegerHelper.ToString |  | Convert the value to string
TIntegerHelper.ToHexString |  | Convert to a hexadecimal string representation